Default backport 4.x apps to 2.3

guys 4.x on my phone is pretty laggy and unstable but i want the apps/games made specifically for 4.x or above. can you guide me on how can i make apps work on my poor xperia x10 running 2.3 (gingerbread)
Thanks in advance!